PCI Compliance Upgrade Special

 

In order to keep up to date with new PCI Compliance Standards, we have released an updated version of Probill. This update is especially important for clients running credit card and ACH charges, as you will not be able to process transactions after July 1, 2018 unless you upgrade the software to conform to the new standards. Considering the short time frame we are offering this update at a special price to ensure that you will be able to comply with the new standards and maintain your ability to process transactions through our software. By purchasing the new version, By purchasing this upgrade, you receive all features released in Probill versions 2.8.0 and 2.8.5 and you are eligible to receive any upgrades in the next year as well as a full year of unlimited technical support. For more information about the feature improvements from 2.7.4-2.8.5 click here. To purchase this upgrade, click the link to the right.

In order to keep processing electronic transactions, you must be running version 2.8.6. If you have any questions or concerns about this update feel free to call us at 1-800-409-4997 or email us at support@probill.com